<?php

class EveryPayAccountInfoModuleFrontController extends ModuleFrontController
{
    public function postProcess()
    {

    }

    public function initContent()
    {
        parent::initContent();
        $isLiveMode = Configuration::get("EVERYPAY_LIVE_MODE");
        $apiUsername = $isLiveMode ? Configuration::get("EVERYPAY_API_USERNAME") : Configuration::get("EVERYPAY_TEST_API_USERNAME");
        $apiSecret = $isLiveMode ? Configuration::get("EVERYPAY_SHARED_SECRET") : Configuration::get("EVERYPAY_TEST_SHARED_SECRET");
        $accountInfoBaseUrl = $isLiveMode ? "https://pay.every-pay.eu/api/v3/processing_accounts" : "https://igw-demo.every-pay.com/api/v3/processing_accounts";
        $accountInfoUrl = $this->getPaymentAccountInfoUrl($accountInfoBaseUrl, Configuration::get("EVERYPAY_ACCOUNT_ID"), $apiUsername);
        $accountInfo = $this->sendGetRequestWithAuth($accountInfoUrl, $apiUsername, $apiSecret);
        if (EveryPay::DEBUG_LOGGING) {
            $this->module->logError(array('response' => $accountInfo), 'accountInfo: ');
        }
        die($accountInfo);
    }

    public function getPaymentAccountInfoUrl($baseUrl, $accountName, $apiUsername) {
        return $baseUrl . "/" . $accountName . "?api_username=" . $apiUsername;
    }

    private function sendGetRequestWithAuth($url, $username, $password) {
        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, $url);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        curl_setopt($ch, CURLOPT_HTTPHEADER, array(
                'Content-Type: application/json'
            )
        );
        curl_setopt($ch, CURLOPT_USERPWD, $username . ":" . $password);
        $response = curl_exec($ch);
        curl_close($ch);
        return $response;
    }
}