{*
* NOTICE OF LICENSE
*
* This source file is subject to the Open Software License (OSL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/osl-3.0.php
*
*  @author    EveryPay
*  @copyright since 2015 EveryPay
*  @license   http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
*}
<form id="iframe_payment" class="js-payment-everypay everypay-bank everypay-form-iframe-bank" action="{$bank_payment_link}" method="GET">
    <div class="row">
        <div class="col-xs-12">
            <div class="payment_module everypay">
                <select id="everypayBanklinkCountrySelect" onchange="EVERYPAY.toggleBankOptionHighlighting(); EVERYPAY.processCountrySelectChange()">
                    <option value="EE">{l s='Estonia' mod='everypay'}</option>
                    <option value="LV">{l s='Latvia' mod='everypay'}</option>
                    <option value="LT">{l s='Lithuania' mod='everypay'}</option>
                </select>
                {foreach from=$bank_links item=$bank key=$key}
                    <div class="everypay_banklinks_list {$key|escape:'htmlall':'UTF-8'}" data-shop-url="{$shop_url}" {if $key !== 'EE'} style="display: none" {/if}>
                        {foreach from=$bank item=$item}
                            <div class="everypay_banklink_container">
                                <input
                                    id="bankLinkInput_{$item['source']|escape:'htmlall':'UTF-8'}"
                                    type="radio"
                                    name="banklinkChoice"
                                    onclick="EVERYPAY.toggleBankOptionHighlighting(); EVERYPAY.changeSelectedBanklinkSource('{$item['source']|escape:'htmlall':'UTF-8'}')">
                                <label
                                    for="bankLinkInput_{$item['source']|escape:'htmlall':'UTF-8'}"
                                    class="banklink_input_label"
                                >
                                    <img src="{$item['logo_url']|escape:'htmlall':'UTF-8'}" alt="{$item['display_name']|escape:'htmlall':'UTF-8'}">
                                </label>
                            </div>
                        {/foreach}
                    </div>
                {/foreach}
                <div class="clearfix"></div>
            </div>
            <div class="clearfix"></div>
        </div>
    </div>
    <input type="hidden" name="payment_method" id="bank_payment_method" value="bank"/>
    <input type="hidden" name="selected_provider" id="bank_selected_provider"/>
</form>
<script>
    (function() {
        let everypayStoredData = JSON.parse(sessionStorage.getItem('everypay'));
        if (everypayStoredData) {
            if (everypayStoredData.selected_country) {
                document.querySelector('#everypayBanklinkCountrySelect').value = everypayStoredData.selected_country;

                let bankLists = document.querySelectorAll('.everypay_banklinks_list');
                bankLists.forEach(function(list) {
                    if (list.classList.contains(everypayStoredData.selected_country)) {
                        list.style.display = 'flex';
                    } else {
                        list.style.display = 'none';
                    }
                });
            }
            if (everypayStoredData.selected_provider) {
                document.querySelector('.everypay-bank #bank_selected_provider').value = everypayStoredData.selected_provider;
                document.querySelector('.everypay-bank #bankLinkInput_' + everypayStoredData.selected_provider).checked = true;
            }
        }
    })();
</script>
